<?php
require'fun.php';
$opwd=$_POST['opwd']??'';
$npwd=$_POST['npwd']??'';
$cpwd=$_POST['cpwd']??'';
$titlu='Schimbă parola';
$back[1]='<a href="/setari">'.img('setari.png',2).'Setări</a>';
require'f_sus.php';
require'f_mut.php';
if($npwd!=$cpwd)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Parolele nu se potrivesc!';
elseif(md5($opwd)!=$conn->query('SELECT`parola`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Vechea parola este gresita!';
elseif((mb_strlen($npwd)<3)||(mb_strlen($npwd)>33))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Parola trebuie să conțină minim 3 și maxim 33 caractere!';
else
echo($conn->query('UPDATE`membrii`SET`parola`="'.md5($npwd).'"WHERE`id`="'.$de.'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Parola a fost schimbata cu succes!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]);
echo$div[0];
require'f_jos.php';